Your pages with their numbers, the shop's switch and the theme
GET
/api/v1/workspaces/{workspace}/pages
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/pages?period=7d"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/pages?period=7d';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/pages?period=7d' \ --header 'Authorization: Bearer <token>'Permission: website:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Query Parameters
Section titled “Query Parameters”period
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
canEdit
required
boolean
canPublish
required
boolean
editors
required
Array<string>
from
required
string format: date-time
host
required
string
pages
required
Array<object>
object
changes
required
boolean
countdownEnded
string format: date-time
editedAt
required
string format: date-time
editedBy
object
avatarColor
required
string
id
required
string
initials
required
string
name
required
string
firstPublishedAt
string format: date-time
id
required
string
name
required
string
path
required
string
publishAt
string format: date-time
publishedAt
string format: date-time
result
required
object
amountCents
required
integer format: int64
conversion
required
number format: double
count
required
integer format: int64
currency
required
string
kind
required
string
slug
required
string
status
required
string
template
required
string
unpublishedAt
string format: date-time
url
required
string
views
required
integer format: int64
visibility
required
string
period
required
string
publishers
required
Array<string>
shop
required
object
canToggle
required
boolean
on
required
boolean
path
required
string
products
required
integer format: int64
url
required
string
stats
required
object
currency
required
string
registrationPages
required
Array<string>
registrations
required
integer format: int64
sales
required
integer format: int64
salesCents
required
integer format: int64
salesPages
required
integer format: int64
shopSales
required
boolean
shopViewed
required
boolean
signupPages
required
Array<string>
signups
required
integer format: int64
viewedPages
required
integer format: int64
views
required
integer format: int64
templates
required
Array<object>
object
count
required
integer format: int64
template
required
string
theme
required
object
accent
required
string
font
required
string
ground
required
string
logo
required
boolean
publisher
required
string
until
required
string format: date-time
websiteOn
required
boolean
Example
{ "pages": [ { "result": { "kind": "signups" }, "status": "draft", "template": "about", "visibility": "public" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}